curl --request GET \
--url https://rest.forestreet.com/v2/markets/{marketId}/explorer/companies \
--header 'x-api-key: <api-key>'import requests
url = "https://rest.forestreet.com/v2/markets/{marketId}/explorer/companies"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://rest.forestreet.com/v2/markets/{marketId}/explorer/companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"pagination": {
"totalItems": 123,
"totalPages": 13,
"currentPage": 1,
"pageSize": 10,
"unfilteredTotalItems": 196,
"unfilteredTotalPages": 20
},
"marketVersion": {
"currentVersion": "<string>",
"availableVersions": [
"<string>"
]
}
},
"data": [
{
"id": "<string>",
"domain": "<string>",
"size": {
"value": "<string>",
"sortValue": 123
},
"revenue": {
"value": "<string>",
"sortValue": 123
},
"logoURL": "<string>",
"name": "<string>",
"description": "<string>",
"foundedYear": 123,
"hqCity": "<string>",
"hqState": "<string>",
"hqCountry": "<string>",
"momentum": {
"funding": 123,
"webTraffic": 123,
"mediaAnalysis": 123,
"newsSentiment": 123,
"revenueEstimates": 123
},
"overallMomentum": 123,
"actualRevenue": null,
"shareholdersList": [
null
],
"locations": 123,
"topics": [
{
"topicId": "<string>",
"name": "<string>",
"score": 123
}
],
"versionDate": "<string>",
"userTags": [
{
"id": 123,
"label": "<string>",
"hexColor": "<string>",
"companyId": "<string>",
"parentTagId": 123
}
],
"isFavourite": true,
"categories": [
{
"id": 123,
"name": "<string>"
}
],
"isLocationVerified": true,
"certifications": [
"<string>"
],
"contactNumber": "<string>",
"contactEmail": "<string>",
"parentCompany": "<string>",
"subsidiaries": [
"<string>"
],
"founders": [
{
"name": "<string>",
"type": "<string>",
"image": "<string>"
}
],
"ceo": "<string>",
"ukCompaniesHouseIds": [
"<string>"
],
"ukPersonsWithSignificantControl": [
{
"id": 123,
"name": "<string>",
"ownership": [
"<string>"
],
"type": "<string>",
"status": true,
"companyId": "<string>",
"companiesHouseURL": "<string>"
}
]
}
]
}{
"success": false,
"errorCode": "INVALID_INPUT",
"message": "Bad Request"
}{
"success": false,
"errorCode": "FORBIDDEN",
"message": "Forbidden - You do not have access to this market"
}{
"success": false,
"errorCode": "NOT_FOUND",
"message": "Not Found - Market companies not found"
}{
"success": false,
"errorCode": "INTERNAL_SERVER_ERROR",
"message": "Internal Server Error"
}List market explorer companies
List the companies in a published market, intended for Market Explorer use. Differs from a draft study by having company metadata populated, and having completed a detailed scrape.
Authorizations
Pass a static API key for every request, provided by your customer support.
Path Parameters
ID of the market whose explorer companies will be retrieved.
x > 0Unique identifier for the team used to access the market, for determining access rights and blacklists. Team ID can be provided either in path or query parameter for backward compatibility; exactly one is required.
x > 0Query Parameters
Unique identifier for the team used to access the market, for determining access rights and blacklists. Team ID can be provided either in path or query parameter for backward compatibility; exactly one is required.
x > 0Search term to filter companies by name, or description.
Filter by feature architecture node IDs. Prefix with 'e:' to exclude (e.g., '1, 2, e:3').
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Page number to retrieve, starting from 1.
x > 0Number of companies per page.
0 < x <= 500Show child attributes
Show child attributes
Filter companies by version date.